MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs
Song.hxx File Reference
`#include "check.h"`
`#include "Chrono.hxx"`
`#include "tag/Tag.hxx"`
`#include "Compiler.h"`
`#include <boost/intrusive/list.hpp>`
`#include <string>`
`#include <time.h>`
Include dependency graph for Song.hxx:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | Song
| A song file inside the configured music directory. More...
struct | Song::Disposer

## Typedefs
typedef boost::intrusive::list< Song, boost::intrusive::member_hook< Song, Song::Hook,&Song::siblings >, boost::intrusive::constant_time_size< false > > | SongList

## Typedef Documentation

typedef boost::intrusive::list<Song, boost::intrusive::member_hook<Song, Song::Hook, &Song::siblings>, boost::intrusive::constant_time_size<false> > SongList

Definition at line 135 of file Song.hxx.